services:
    overseerr:
        container_name: overseerr
        environment:
            - LOG_LEVEL=debug
            - TZ=America/Denver
        image: sctx/overseerr:latest
        labels:
            traefik.docker.network: traefik
            traefik.enable: true
            traefik.http.routers.overseerr.entrypoints: websecure
            traefik.http.routers.overseerr.rule: Host(`overseerr.alexlebens.net`)
            traefik.http.routers.overseerr.service: overseerr
            traefik.http.services.overseerr.loadbalancer.server.port: 5055
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik:
                ipv4_address: 172.27.1.35
        restart: always
        volumes:
            - overseerr:/app/config

networks:
    traefik:
        name: traefik
        external: true

volumes:
    overseerr:
        driver: local
        driver_opts:
            type: none
            o: bind
            device: /var/lib/docker/volumes/partition/servarr_overseerr
